Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSModifyAttrElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSModifyAttrElement

All Implemented Interfaces:
  SomeAttrElement, XDSElement

public class XDSModifyAttrElement
extends ElementImpl
implements SomeAttrElement

A `<modify-attr>` element.

See Also:
  `XDSModifyElement.appendModifyAttrElement()`, `XDSModifyElement.extractModifyAttrElements()`, `XDSModifyElement.childElements()`

Method Summary
`XDSAddValueElement` | `appendAddValueElement()` Appends an empty, child `<add-value>` element to this element.
`XDSRemoveAllValuesElement` | `appendRemoveAllValuesElement()` Appends an empty, child `<remove-all-values>` element to this element.
`XDSRemoveValueElement` | `appendRemoveValueElement()` Appends an empty, child `<remove-value>` element to this element.
`List` | `childElements()` Returns this element's child elements.
`String` | `getAttrName()` Gets the value of this element's `attr-name` attribute.
`void` | `setAttrName(String someName)` Sets this element's `attr-name` attribute to `someName`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### getAttrName

    public String getAttrName()

  Description copied from interface: `SomeAttrElement`
  Gets the value of this element's `attr-name` attribute.

  Invocation Context:
    READ

  Specified by:
    `getAttrName` in interface `SomeAttrElement`
  Returns:
    will not return `null`; will not return `""`

### childElements

    public List childElements()

  Returns this element's child elements.

  Usage Notes:
    The types of objects returned by this method may be extended in the future. Thus, callers should be able to handle object types other than those listed in the returns field below.
  Invocation Context:
    READ

  Specified by:
    `childElements` in interface `XDSElement`
  Overrides:
    `childElements` in class `ElementImpl`
  Returns:
    a list of `XDSAddValueElement`, `XDSRemoveValueElement`, `XDSRemoveAllValuesElement`, and `NonXDSElement` objects; will not return `null`

### setAttrName

    public void setAttrName(String someName)

  Description copied from interface: `SomeAttrElement`
  Sets this element's `attr-name` attribute to `someName`.

  Invocation Context:
    WRITE

  Specified by:
    `setAttrName` in interface `SomeAttrElement`
  Parameters:
    `someName` - if `null` or `""`, no action is taken

### appendAddValueElement

    public XDSAddValueElement appendAddValueElement()

  Appends an empty, child `<add-value>` element to this element.

  Invocation Context:
    WRITE

  Returns:
    will not return `null`

### appendRemoveValueElement

    public XDSRemoveValueElement appendRemoveValueElement()

  Appends an empty, child `<remove-value>` element to this element.

  Invocation Context:
    WRITE

  Returns:
    will not return `null`

### appendRemoveAllValuesElement

    public XDSRemoveAllValuesElement appendRemoveAllValuesElement()

  Appends an empty, child `<remove-all-values>` element to this element.

  Invocation Context:
    WRITE

  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD